Bug 612175 - mark /etc/init/ files as config files
Summary: mark /etc/init/ files as config files
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: upstart (Show other bugs)
(Show other bugs)
Version: 15
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-07 13:42 UTC by Zing
Modified: 2018-11-27 19:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-26 01:04:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 663594 None None None Never

Description Zing 2010-07-07 13:42:50 UTC
Description of problem:
Could you mark the /etc/init/ files as %config files.  I have control-alt-delete commented out and the latest initscripts update blew it away.

Version-Release number of selected component (if applicable):
initscripts-9.12.1-1.fc13.x86_64

Additional info:
I see in the changelog, this might have been on purpose:
* Wed Dec 09 2009 Bill Nottingham <notting@redhat.com> - 9.03-1
- migrate to upstart 0.6.x (<notting@redhat.com>, <plautrba@redhat.com>)
-- jobs move to /etc/init
-- collapse rcX and ttyX jobs into single job definitions
-- jobs are no longer %config

however, I don't see how I'm supposed to keep my changes across updates now.

Comment 1 Bill Nottingham 2010-07-08 17:14:22 UTC
They aren't really config files, though. They're descriptions of how the system is supposed to boot/operate, and if they are not kept consistent with the packaging system across updates, the system may cease to function.

I think this is better defined as 'have a good way to disable certain jobs'.

Comment 2 Bill Nottingham 2011-02-26 01:04:00 UTC
Given the move to systemd, this is unlikely to change.

Comment 3 Petr Lautrbach 2011-03-21 12:29:00 UTC
rawhide and f15 upstart-1.1-1.{fc15,fc16} versions now support override files from upstart-0.9 branch [1].

e.g. Create /etc/init/control-alt-delete.override file with only one stanza "manual" to disable automatic start of job control-alt-delete

[1] http://bazaar.launchpad.net/~upstart-devel/upstart/0.9/revision/1262


Note You need to log in before you can comment on or make changes to this bug.